"""Euro Converter using Tkinter GUI
Petri Kuittinen 2001
"""

from Tkinter import *

class EuroConverter:
    def __init__(self, master):
        self.root = master
        f = Frame(self.root, borderwidth=2)
        Label(f, text="FIM:").grid(row=0, sticky=W)
        self.fim_string = StringVar()
        self.fim_entry = Entry(f, width=10, takefocus=1,
                               textvariable=self.fim_string)
        self.fim_entry.grid(row=0, column=1, sticky=W)
        self.fim_entry.bind("<KeyRelease>", self.fim_enter)
        
        Label(f, text="EURO:").grid(row=1, sticky=W)
        self.euro_string = StringVar()
        self.euro_entry = Entry(f, width=10, takefocus=1,
                                textvariable=self.euro_string)
        self.euro_entry.grid(row=1, column=1, sticky=W)
        self.euro_entry.bind("<KeyRelease>", self.euro_enter)
        f.pack()
        
        Button(self.root, text="Quit", command=self.root.quit).pack(side=BOTTOM)

    def fim_enter(self, event):
        try:
            self.fim = float(self.fim_entry.get())
            self.euro_entry.delete(0, "end")
            self.euro_entry.insert(0, "%.6g" % (self.fim/5.95))
            #print self.fim
        except:
            pass

    def euro_enter(self, event):
        try:
            self.euro = float(self.euro_entry.get())
            self.fim_entry.delete(0, "end")
            self.fim_entry.insert(0, "%.6g" % (self.euro*5.95))
            #print self.euro
        except:
            pass

def _main():
    root = Tk()
    euroconverter = EuroConverter(root)
    root.mainloop()

if __name__=="__main__":
    _main()
